package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0273
 * @Description : 新生儿年龄错误
 * @Author : 胡敬
 * @Date: 2020-03-14 16:24
 */
@Component
public class FIRP0273 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        /**
         * 跟任燕青确认如果天数是“-”，则不报错
         */
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String infantAgeMonths = firstpageStructureMap.get(Content.newbornAgeMonths);
            String infantAgeDays = firstpageStructureMap.get(Content.newbornAgeDays);
            if (CatalogueUtil.isSpecialChar(infantAgeMonths)) {
                return ;
            }
            if (StringUtil.isNotBlank(infantAgeMonths) && Integer.parseInt(infantAgeMonths) > 0) {
                status.set("-1");
            }
            if (StringUtil.isNotBlank(infantAgeDays) && Integer.parseInt(infantAgeDays) > 28) {
                //新生儿年龄单位为天，小于28天算通过
                status.set("-1");
            }
        }
    }
}